How to Select Surface Subsets via GetObject Without Ctrl Key?

In some scenarios, I need users to select only a subset of a surface.
Setting get.SubObjectSelect = true; when calling the GetObject method allows this functionality. However, I want to enable direct selection without requiring the user to press the Ctrl key. How can this be achieved? Thank you!

Hi @yangf85, below python example prompts to select surfaces of breps:

import Rhino

go = Rhino.Input.Custom.GetObject()
go.SetCommandPrompt("Select a brep face")
go.SubObjectSelect = True
go.DisablePreSelect()
go.GeometryFilter = Rhino.DocObjects.ObjectType.Surface
go.GetMultiple(1,0)

For single surface selections, it works using RhinoScriptSyntax too eg:

import rhinoscriptsyntax as rs

obj_ref = rs.GetObject("Surface", 8, False, False, None, subobjects=True)

_
c.

hi @clement
Thanks for your help. It’s useful.